org.apache.poi.hdgf.chunks

## Class ChunkHeader

- java.lang.Object
- - org.apache.poi.hdgf.chunks.ChunkHeader

- Direct Known Subclasses:
    ChunkHeaderV4V5, ChunkHeaderV6

      public abstract class ChunkHeader
      extends java.lang.Object

  A chunk header

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkHeader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChunkHeader` | `createChunkHeader(int documentVersion, byte[] data, int offset)` Creates the appropriate ChunkHeader for the Chunk Header at the given location, for the given document version.
    `abstract java.nio.charset.Charset` | `getChunkCharset()`
    `static int` | `getHeaderSize(int documentVersion)` Returns the size of a chunk header for the given document version.
    `int` | `getId()`
    `int` | `getLength()` Returns the length of the trunk, excluding the length of the header, trailer or separator.
    `abstract int` | `getSizeInBytes()`
    `int` | `getType()` Returns the type of the chunk, which affects the mandatory information
    `int` | `getUnknown1()`
    `abstract boolean` | `hasSeparator()`
    `abstract boolean` | `hasTrailer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkHeader

          public ChunkHeader()

  - ### Method Detail

    - #### createChunkHeader

          public static ChunkHeader createChunkHeader(int documentVersion,
                                                      byte[] data,
                                                      int offset)

      Creates the appropriate ChunkHeader for the Chunk Header at the given location, for the given document version.
      Parameters:
        `documentVersion` - the documentVersion - 4 and higher is supported
        `data` - the chunk data
        `offset` - the start offset in the chunk data
      Returns:
        the ChunkHeader

    - #### getHeaderSize

          public static int getHeaderSize(int documentVersion)

      Returns the size of a chunk header for the given document version.
      Parameters:
        `documentVersion` - the documentVersion - 4 and higher is supported
      Returns:
        the header size

    - #### getSizeInBytes

          public abstract int getSizeInBytes()

    - #### hasTrailer

          public abstract boolean hasTrailer()

    - #### hasSeparator

          public abstract boolean hasSeparator()

    - #### getChunkCharset

          public abstract java.nio.charset.Charset getChunkCharset()

    - #### getId

          public int getId()

      Returns:
        the ID/IX of the chunk

    - #### getLength

          public int getLength()

      Returns the length of the trunk, excluding the length of the header, trailer or separator.
      Returns:
        the length of the trunk

    - #### getType

          public int getType()

      Returns the type of the chunk, which affects the mandatory information
      Returns:
        the type of the chunk

    - #### getUnknown1

          public int getUnknown1()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.